#pragma once

#include <zephyr/kernel.h>
#include "utilities.h"

#define MAX_SENSOR_DATA 32

typedef struct BleSensorData {
    uint8_t sensorData[MAX_SENSOR_DATA];
    uint16_t length;
} BleSensorData_t;

class DeviceParser {
public:
    /** Constructor.
     *
     **/
    DeviceParser();

    /** Destructor.
     *
     **/
    ~DeviceParser();

    static void BleScanListener(const struct zbus_channel *chan);
    bool BleDeviceParser(const BleData_t *data, BleSensorData_t *parsedData);

private:
    
        
};