#!/bin/bash
set -e

# If your editor fails with "The input device is not a TTY", try exporting DOCKER_TTY=-t
# docker_tty=${DOCKER_TTY:--it}

DOCKER_ARGS="--privileged \
--rm=true \
--user="$(id --user):$(id --group)" \
-e ZEPHYR_SDK_INSTALL_DIR=/opt/toolchains/zephyr-sdk-0.16.4 \
-e CCACHE_DIR=$(pwd)/.ccache 
-v $(pwd):$(pwd) \
-v /dev/bus/usb:/dev/bus/usb \
-w $(pwd) \
-it"
DOCKER_IMAGE=zephyrprojectrtos/ci:v0.26.6-t

docker run $DOCKER_ARGS $DOCKER_IMAGE "$@"
