#include "led-driver.h"
#include <zephyr/drivers/gpio.h>

#define LED_PIN DT_NODELABEL(led_pin)

struct gpio_dt_spec ledPinNode = GPIO_DT_SPEC_GET(LED_PIN, gpios);

LedDriver::LedDriver(){
    int err = gpio_pin_configure_dt(&ledPinNode, GPIO_OUTPUT_INACTIVE);
}

LedDriver::~LedDriver(){

}

void LedDriver::SetState(bool enable){
    gpio_pin_set_dt(&ledPinNode, enable);
    currentState = enable;
}

bool LedDriver::GetState(){
    return currentState;
}