#!/usr/bin/env python

import socket
import select
import time

TCP_IP = '192.168.8.149'
TCP_PORT = 12345
MESSAGE = b'ABC'
received = 0

stateData = []
bleData = []
driverData = []

def socketStart():
    s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    s.connect((TCP_IP, TCP_PORT))
    s.setblocking(False)
    start = time.time()
    dataLen = 0
    s.send(MESSAGE)

    inputs = [s]
    outputs = [s]
    while inputs:
        readable,writable,exceptional = select.select(inputs,outputs,inputs,1)
        data = []

        # startTransaction = time.time()
        for s in readable:
            data = s.recv(65535)
            dataLen += len(data)
            timeData = time.time() - start
            if(timeData >= 1):
                print(f"get {dataLen} bytes in {timeData} second")
                dataLen = 0
                start = time.time()
            # print(f'get data length {len(data)} in {end - start}')
            # print(data)
        # endTransaction = time.time()
        # print(f"single transaction in {endTransaction - startTransaction}")
            
socketStart()